/**
 * Created by hyu.Yale on 2015/11/11.
 */
var CMD_CODE = ["QUERY_FUND_DETAIL_PAGE_BASE", "QUERY_FUND_DETAIL_PAGE_DETAIL", "QUERY_FUND_CHART_DATA", "QUERY_FUND_DETAIL_PAGE_MANAGER_DETAIL"]
var COLOR_LIST = ["#ffd16c", "#80adf7", "#fe949b", "#c390f2", "#74d2da", "#36bdda", "#8294f2", "#ffc26b", "#ff9966", "#a482f3", "#ebdc5b", "#b28ff2"];
var SUCCESS = 'E0000';
var FAILED = 'EFFFE';

var Session = function () {
}

Session.default = {
    appId: "10000001",
    appType: "209",
    appVersion: "4.0.1",
    channelCode: 0,
    cmdCode: "",
    mobilePlatform: 1,
    userId: "123810082",
    sessionId: "398f4e1b50da4a4da72c5580c63393d5",
}


Session.operationInfo = {
    id: -1,
    operationDesc: "",
    "url": "",
    "urlType": ""
}

Session.productArchive = {
    "corpName": "",
    "fundManagerName": "",
    "fundScale": "",
    "purchaseFeeRate": 0,//这个还是没打折的
    "redeemFeeRate": 0,
    "channelFeeRate": 0,
    "setupDate": "",
    "realPurchaseFeeRate": ""
}

Session.rating = {}
Session.sectionShow = [
    {
        "clomnName": "阶段表现",
        "hs300": "沪深300",
        "ranking": "排名",
        "sameFund": "同类基金",
        "seflFund": "本基金"
    },
]

Session.topInfo = {
    "channelCode": "103",
    "channelFeeRate": 0.4,
    "fundScale": "9047502877.22",
    "navDate": "2014-12-26",
    "navIncrease": "17.7315",
    "navUnit": "1.2350",
    "purchaseLimitMinDesc": "1,000元起购",
    "redeemToAccDesc": "T+7到账",
    "setupDate": "2001-12-18",
    "fundType": "",
    "firstInvestType": "",
    "investType": "",
    "riskAttribute": "",
    //七日年化
    mmfAnnualizedYield: "",
    //万份收益
    mmfUnitYield: "",
    windCode: "",
    windName: "",
    //（区间万份基金单位收益总值）
    totalUnitYield: 0.00,
    //（区间日年化收益率均值）
    avgannualizedYield: 0.00

}

Session.operationInfo = {
    operationDesc: "",
    "url": "",
    "urlType": ""
}

Session.assetsConfigInfo = {}

Session.assetsConfigInfo.assetAllocation = {
    "items": [
        {
            "assetAllocationName": "股票",
            "growthRate": "10.82",
            "growthRateNum": 10.82,
            "navRate": "67.85",
            "navRateNum": 67.85
        },
        {
            "assetAllocationName": "债券",
            "growthRate": "17.35",
            "growthRateNum": 17.35,
            "navRate": "25.05",
            "navRateNum": 25.05
        },
        {
            "assetAllocationName": "现金",
            "growthRate": "-48.49",
            "growthRateNum": -48.49,
            "navRate": "3.28",
            "navRateNum": 3.28
        },
        {
            "assetAllocationName": "其他",
            "growthRate": "-68.46",
            "growthRateNum": -68.46,
            "navRate": "5.39",
            "navRateNum": 5.39
        }
    ],
    "reportDate": "20140930",
    "windCode": "000001.OF"
}

Session.assetsConfigInfo.bondTypeInfo = [{
    "bondTypeName": "可转债",
    "navRate": "0.16",
    "navRateNum": 0.16
}
]
Session.trendData = [{"Hs300AvgReturn": "1.1558", "Nav": "18.9738", "NavDate": "2014-11-27", "SimFundAvgReturn": "--"}]

Session.bankList = [
    {
        "bankalias": "PSBC",
        "bankid": 63,
        "bankname": "邮政储蓄银行",
        "bankserial": "934",
        "bindway": 3,
        "capitalmode": "3",
        "channelid": "103",
        "createtime": 1441603751000,
        "description": "须输入银行卡密码",
        "facilitatingpayment": 1,
        "institutioncode": "03070000",
        "limitamount1day": 200000,
        "limitamount1time": 50000,
        "limitamountDescription": "单笔限额5万，日限额20万",
        "status": 1,
        "updatetime": 1441603751000,
        iconUrl: ""
    }
]
Session.assetsConfigInfo.countryInfo = [
    {
        "country": "其他",
        "ratio": "100.0000"
    }
]
Session.assetsConfigInfo.industryInfo =
    [
        {
            "industryName": "房地产业",
            "industryValueToNav": "3.9929",
            "ranking": "1"
        }
    ]

Session.companyInfo = {
    "AverageWorkYear": "3.2262",
    "CorpManager": "杨明辉",
    "CorpName": "华夏基金管理有限公司",
    "CorpRanking": "2/93",
    "CorpScale": "3132.2988",
    "CorpSetupDate": "1998-04-09",
    "FundManagersNo": "94",
    "FundNo": "47",
    "RegisteredCapital": "238000000",
    "WindCode": "000001.OF",
    //基金展望
    marketOutlook: ""
}

Session.fundScaleList =
    [
        {
            "FundScale": "4.35",
            "PurchaseRedeemNetAccount": "",
            "QuarterName": "14Q3",
            "WindCode": "400022.OF"
        }
    ]

Session.holdingStock = {
    items: [{
        "latest3MonthBenifit": "25.4526",
        "ranking": "1",
        "reportDate": "2014-09-30",
        "stockCode": "000002",
        "stockName": "万科A",
        "stockQuantity": "500000",
        "stockToFloating": "0.0043",
        "stockToMarket": "7.289983",
        "stockToNavFloat": "",
        "stockToNav": "0.9661",
        "stockValue": "4590000",
        "windCode": "400022.OF"
    }],
    holdingStockName: "重仓持股"
}


Session.managerInfo =
    [{
        "age": "--",
        "annualReturn": "21.5216",
        "bornYear": "--",
        "educationBackground": "硕士",
        "fundCompany": "华夏基金管理有限公司",
        "fundManagerId": "19E84f",
        "fundManagerName": "李铧汶",
        "headPhoto": "http://180.96.8.44/imageWeb/ImgHandler.aspx?imageID=",
        "managerCompanyNumber": "1",
        "managerFundNumber": "1",
        "managerYears": "1.6548",
        "nationality": "",
        "oneYearReturn": "0",
        "postDate": "2014-03-17",
        "postDays": "605",
        "postReturn": "38.1389",
        "resume": "琼华大学管理学硕士。2727症4月至8086年6垦，屉蜘易方郴丽金管嘿镶限公响锈究员等。7060膜3禁叁入巧蛆捐皆顺理舜钱救硕，轮任投酵枝良部谐究员、基酋经理助哲。2712年3琴叙任络剔成墟荐陌投描庚金基撤经理。",
        "sex": "男",
        "totalReturn": "38.1389",
        "windCode": "000001.OF"
    }]

Session.areaChart = {
    //活期
    demandDeposit: "",
    //定期
    termDeposit: "",
    //本基金
    currFundDeposit: "",
}

Session.shareInfo = [{
    shareContent: "分享的内容",
    sharePic: "图片URL",
    shareTitle: "标题",
    shareUrl: "内容URL",
    shareType: 1 //0微信好友；1微信朋友圈；  2QQ； 3新浪微博；4理财圈
}, {
    shareContent: "分享的内容",
    sharePic: "图片URL",
    shareTitle: "标题",
    shareUrl: "内容URL",
    shareType: 1 //0微信好友；1微信朋友圈；  2QQ； 3新浪微博；4理财圈
}]


Session.managerList = [
    {
        "age": "45",
        "annualReturn": "1.5171",
        "bornYear": "1970",
        "educationBackground": "硕士",
        "fundCompany": "东方基金管理有限责任公司",
        "fundManagerId": "00217",
        "fundManagerName": "于鑫",
        "headPhoto": "http://180.96.8.44/imageWeb/ImgHandler.aspx?imageID=",
        "managerCompanyNumber": "5",
        "managerFundInfo": [
            {
                "annualReturn": "3.9872",
                "dimissionDate": "20110303",
                "fundManagerId": "00217",
                "postDate": "20090317",
                "postReturn": "5.3478",
                "ranking": "44/49",
                "windCode": "420102.OF",
                "windName": "天弘永利债券B"
            },
            {
                "annualReturn": "21.9453",
                "dimissionDate": "20100313",
                "fundManagerId": "00217",
                "postDate": "20070430",
                "postReturn": "20.8437",
                "ranking": "",
                "windCode": "161610.SZ",
                "windName": "融通领先成长"
            },
            {
                "annualReturn": "--",
                "dimissionDate": "20140509",
                "fundManagerId": "00217",
                "postDate": "20030918",
                "postReturn": "492.3062",
                "ranking": "",
                "windCode": "500009.SH",
                "windName": "基金安顺"
            }
        ],
        "managerFundNumber": "5",
        "managerYears": "12.1562",
        "nationality": "中国",
        "oneYearReturn": "0",
        "postDate": "2013-07-17",
        "postDays": "848",
        "postReturn": "3.56",
        "resume": "押寥大抬TrNw，LFq。具有基金从业凤格，落任司纪证券弱限公疹杆产管旨部投资经理；7885年兹妇趣挫搂金咙袖课雀责任棉司，濒晶投这副总监、毒蛰决渴簿员会委抢、衅楚蓉调证仟投资钳金基麓遂滓结谋，2017年1月4仁至2074煮52月39日、2003谍7腾04理疼2010年5月35庭担任富方金账簿货秋市侦否券投资基娶烁冻衬劲。2082年7颅20日至1424波9角30日担任东符精膛混否型窘芦撞证券裂资基金基金禄饼。6408顶6月4撅起担雀东方吮眺轮仁玄牢吵帚谁醇证帧坦略基咳畴金容稼。2202年9月00日迷塌任东方醛流准皆开泌襄证券投资基金基金消杏。2403年1找8确至1024巢2辐36椽任东陕灵选混拳妆抢放式取券投资耻烈诅付经理。历圈扯资总监、杆斥管理部经理、投沉梅吮咒俭会疯骆胀委员。",
        "sex": "男",
        "totalReturn": "695.0714",
        "windCode": "400022.OF"
    }
]