/**
 * code 基金code(很重要，数据刷新请求需要基金code)
 * rate 收益率(本地初始化使用，如果有刷新和html5缓存的话，基本上用不上)
 * fundtype 基金类型 0非货币型 1货币型 (很重要，数据刷新请求需要基金类型)
 * name 名称 (本地初始化使用)
 */

/************************************************************************* 广告Banner配置 ************************************************************************/
// 默认渠道
var bannerAdvertisementList = [
    {advertisementIndex:0, name: "广告", linkType: 180, link : "05", functionPoint: '922400010015', functionPointParameter : '{"index":"0"}', extraInfo : '{"TotalFundInfo":{"fundCategory":"05","sortIndicatorID":"thisYearBenifit","sortState":2}}'},
    {advertisementIndex:1, name: "广告", linkType: 1,   link : "161123.OF", functionPoint: '922400010015', functionPointParameter : '{"index":"1"}'},
]
// 渠道：91手机助手
var bannerAdvertisementListChannel91 = [
    {advertisementIndex:0, name: "广告", linkType: 180, link : "05", functionPoint: '922400010015', functionPointParameter : '{"index":"0"}', extraInfo : '{"TotalFundInfo":{"fundCategory":"05","sortIndicatorID":"lastestWeekBenifit","sortState":2}}'},
    {advertisementIndex:1, name: "广告", linkType: 1,   link : "161123.OF", functionPoint: '922400010015', functionPointParameter : '{"index":"1"}'},
	  {advertisementIndex:2, name: "广告", linkType: 180, link : "06", functionPoint: '922400010015', functionPointParameter : '{"index":"2"}', extraInfo : '{"TotalFundInfo":{"fundCategory":"06","sortIndicatorID":"lastestWeekBenifit","sortState":2}}'},
]
// 渠道：威锋网
var bannerAdvertisementListChannelWeifeng = [
    {advertisementIndex:0, name: "广告", linkType: 180, link : "01", functionPoint: '922400010015', functionPointParameter : '{"index":"0"}', extraInfo : '{"TotalFundInfo":{"fundCategory":"01","sortIndicatorID":"mmfAnnualizedYield","sortState":2}}'},
    {advertisementIndex:1, name: "广告", linkType: 180, link : "04", functionPoint: '922400010015', functionPointParameter : '{"index":"1"}', extraInfo : '{"TotalFundInfo":{"fundCategory":"04","sortIndicatorID":"lastestWeekBenifit","sortState":2}}'},
	//{advertisementIndex:2, name: "广告", linkType: 180, link : "08", functionPoint: '922400010015', functionPointParameter : '{"index":"2"}', extraInfo : '{"TotalFundInfo":{"fundCategory":"08","sortIndicatorID":"lastestWeekBenifit","sortState":2}}'},
]

/************************************************************************* 星品推荐配置 ************************************************************************/
var starProductList = [
    {code: "070008.OF", rate: "5.63<productRatePercent>%</productRatePercent>", linkType: 1, fundtype: 1, name: "万得嘉实宝", subTitle: "七日年化", description: "随存随取，10分钟到账，收益<productEmphasize>超活期10倍！</productEmphasize>", productTagLeft: "极低风险", productTagRight: "一元起购", extraInfo: '{"Channel":"JiaShi"}',  functionPoint: '922400010016', functionPointParameter : '{"index":"0","windCode":"070008.OF"}'},
    {code: "253010.OF", rate: "26.61<productRatePercent>%</productRatePercent>", linkType: 1, fundtype: 0, name: "国联安安心成长", subTitle: "近一年收益", description: "牛逼闪闪，收益<productEmphasize>超活期10000倍！</productEmphasize>", productTagLeft: "牛逼闪闪", productTagRight: "起来嗨",  functionPoint: '922400010016', functionPointParameter : '{"index":"1","windCode":"000925.OF"}'},    
];

/************************************************************************* 专题版块配置 ************************************************************************/
var sectionProductList = [
    {name: "蓝筹风劲", description: "救市维稳，看好蓝筹", linkType: 8, link: "http://licai.wind.com.cn:8083/jfire/html/fundShare.html?subjectCode=001", functionPoint: '922400010017', functionPointParameter : '{"index":"0","sectionName":"蓝筹风劲"}', extraInfo:'{"ShareInfo":{"Title":"价值投资时不我待，跟随向上的力量，乘风蓝筹", "Content":"市场异常波动，国家队集结入场，蓝筹扮演“定海神针”角色，风格硬切换催生价值投资。", "Url":"http://licai.wind.com.cn:8083/jfire/html/fundShareDetail.html?subjectCode=001"}}'},
    {name: "对冲基金", description: "理财不投机，首选债基", linkType: 8, link: "http://licai.wind.com.cn:8083/jfire/html/fundShare.html?subjectCode=003", functionPoint: '922400010017', functionPointParameter : '{"index":"1","sectionName":"对冲基金"}', extraInfo:'{"ShareInfo":{"Title":"理财不投机，首选债券基金，回报稳健", "Content":"理财不投机，首选债券基金。债券型基金是标准的固定收益产品，其中又以纯债基金最为典型。", "Url":"http://licai.wind.com.cn:8083/jfire/html/fundShareDetail.html?subjectCode=002"}}'},
    {name: "避风港", description: "追求绝对收益", linkType: 8, link: "http://licai.wind.com.cn:8083/jfire/html/fundShare.html?subjectCode=002", functionPoint: '922400010017', functionPointParameter : '{"index":"2","sectionName":"避风港"}', extraInfo:'{"ShareInfo":{"Title":"对冲基金以追求绝对收益为目标", "Content":"多空对冲基金以追求绝对收益为目标，无论市场涨跌，在锁定风险、控制最大回撤的基础上，保证获得正收益水平。", "Url":"http://licai.wind.com.cn:8083/jfire/html/fundShareDetail.html?subjectCode=003"}}'},
    {name: "保本基金", description: "追求资产长期保值增值", linkType: 8, link: "http://licai.wind.com.cn:8083/jfire/html/fundShare.html?subjectCode=004", functionPoint: '922400010017', functionPointParameter : '{"index":"3","sectionName":"保本基金"}', extraInfo:'{"ShareInfo":{"Title":"积极防御型投资典范保本基金，追求资产长期保值增值", "Content":"保本基金成立时与一家担保机构签订担保协议，保证基金到期时本金或本金加约定最低利润的支付。", "Url":"http://licai.wind.com.cn:8083/jfire/html/fundShareDetail.html?subjectCode=004"}}'},
];

/************************************************************************* 推广活动配置 ************************************************************************/
var typeProductList = [
    {name: "聪明小万", description: "新手请戳：跟着小万学理财", linkType: 5, link: "http://m.wind.com.cn/minisite/mmhelp/cleverwan/index.html", functionPoint: '922400010018', functionPointParameter : '{"index":"0","typeName":"新手专享"}'},
    {name: "业绩排行", description: "<productTypeEmphasize>2015</productTypeEmphasize>上半年基金业绩排行榜", linkType: 5, link: "http://licai.wind.com.cn:8083/jfire/html/fundShare.html?subjectCode=101", functionPoint: '922400010018', functionPointParameter : '{"index":"1","typeName":"热门基金"}'},
    {name: "领取优惠券", description: "注册就送<productTypeEmphasize>100</productTypeEmphasize>元滴滴打车券", linkType: 5, link: "http://t.cn/RLoa1Lv", functionPoint: '922400010018', functionPointParameter : '{"index":"2","typeName":"稀缺私募"}'},
];

function reBuildHtml() {
	// 初始化广告Banner
	initAdvertisementBanner();
	// 初始化星品基金
	initStarProduct();
	// 初始化专题
	initSectionProduct();
	// 初始化活动
	initTypeProduct();
	
	// 初始化数据&更新
	initlocalhtml();
}

/************************************************************************* 广告 ************************************************************************/
function initAdvertisementBanner() {
	// 默认
	var bannerList = bannerAdvertisementList;
	// 取得渠道SID
	var channelSID = getDefaultChannelSID();
	if (null == channelSID || typeof channelSID == 'undefined') {
		// 默认
		bannerList = bannerAdvertisementList;
	} else {
		
		if ('21408DAF' == channelSID) { 
			// 91手机助手
			bannerList = bannerAdvertisementListChannel91;
		} else if ('877EE80E' == channelSID) { 
			// 威锋网
			bannerList = bannerAdvertisementListChannelWeifeng;
		} else {
			// 默认
			bannerList = bannerAdvertisementList;
		}
	}
	// 布局
	initAdvertisementBannerHtml(bannerList);
	// 广告Banner滚动执行
	advertisementBannerExecute();
	// 点击事件
	initAdvertisementBannerHtmlClick(bannerList);
}

function initAdvertisementBannerHtml(bannerList) {
    var htmlText = "";
    for (var index in bannerList) {
        htmlText += '<div class="swiper-slide" id="advertisement' + bannerList[index].advertisementIndex + '"></div>';
    }
    var condition = '[id=advertisementBanner]';
    $(condition).html(htmlText);
}

function initAdvertisementBannerHtmlClick(bannerList) {
    for(var index in bannerList){
        var condition = '[id=advertisement'+index+']';
        $(condition).on("click", function (e) {
            e.stopPropagation();
            var num = this.getAttribute('id');
            try{
                var i = num.substring(num.length-1,num.length);
                var extraInfo = '';
                if (bannerList[i].extraInfo){
                    extraInfo = ',"ExtraInfo":'+bannerList[i].extraInfo;
                }
                var functionPointParameter = '';
                if (bannerList[i].functionPointParameter){
                    functionPointParameter = ',"functionPointParameter":'+bannerList[i].functionPointParameter;
                }
                var params = "{\"type\":"+bannerList[i].linkType+",\"title\":\""+bannerList[i].name+"\",\"link\":\"" + bannerList[i].link + '"'+extraInfo+',"functionPoint":"' + bannerList[i].functionPoint +'"' + functionPointParameter + '}';
                shell_Req(params);
            }catch(e){
            }
        });
    }
}

function advertisementBannerExecute() {
  var swiper = new Swiper('.swiper-container', {
      pagination: '.swiper-pagination',
      paginationClickable: true,
      spaceBetween: 0,
      centeredSlides: true,
      autoplay: 3000,
      speed: 1000,
      loop: true,
      autoplayDisableOnInteraction: false,
  });
}

/************************************************************************* 星品 ************************************************************************/
function initStarProduct() {
	// 布局
	initStarProductHtml(starProductList);
	// 点击事件
	initStarProductHtmlClick(starProductList);
}

function initStarProductHtml(starList) {
	for (var index in starList) {
        var htmlText = 
            '<div id="productCellLeftPart'+index+'" class="productCellLeftPart">'+
                '<div id="productTitle'+index+'" class="productTitle">'+starList[index].name+'</div>'+
                '<div id="productRate'+index+'" class="productRate">'+starList[index].rate+'</div>'+
                '<div id="subTitle'+index+'" class="subTitle">'+starList[index].subTitle+'</div>'+
            '</div>'+
            '<div id="productCellRightPart'+index+'" class="productCellRightPart">'+
                '<div id="productDescription'+index+'" class="productDescription">'+starList[index].description+'</div>'+
                '<div class="productTags">'+
                    '<div id="productTagLeft" class="productTag">'+starList[index].productTagLeft+'</div>'+
                    '<div id="productTagRight" class="productTag">'+starList[index].productTagRight+'</div>'+
                '</div>'+
            '</div>';
            if (index < starList.length-1) {
                htmlText += '<div class="productCellBottonLine"></div>';
            }
        var condition = '[id=productCell'+index+']';
        $(condition).html(htmlText);
    };
}

function initStarProductHtmlClick(starList) {
    for(var index in starList){
        var condition = '[id=productCell'+index+']';
        $(condition).on("click", function (e) {
            e.stopPropagation();
            var num = this.getAttribute('id');
            try{
                var i = num.substring(num.length-1,num.length);
                var extraInfo = '';
                if (starList[i].extraInfo){
                    extraInfo = ',"ExtraInfo":'+starList[i].extraInfo;
                }
                var functionPointParameter = '';
                if (starList[i].functionPointParameter){
                    functionPointParameter = ',"functionPointParameter":'+starList[i].functionPointParameter;
                }
                var params = "{\"type\":"+starList[i].linkType+",\"title\":\""+starList[i].name+"\",\"link\":\"" + starList[i].code + '"'+extraInfo+',"functionPoint":"' + starList[i].functionPoint +'"' + functionPointParameter + '}';
                shell_Req(params);
            }catch(e){
            }
        });
    }
}

/************************************************************************* 专题 ************************************************************************/
function initSectionProduct() {
	// 布局
	initSectionProductHtml(sectionProductList);
	// 点击事件
	initSectionProductHtmlClick(sectionProductList);
}

function initSectionProductHtml(sectionList) {
	for (var index in sectionList) {
        var htmlText = 
            '<div id="sectionLeftPart'+index+'" class="sectionLeftPart"></div>'+
            '<div id="sectionRightPart'+index+'" class="sectionRightPart">'+
                '<div id="sectionCellTitle'+index+'" class="sectionCellTitle">'+sectionList[index].name+'</div>'+
                '<div id="sectionCellDescription0" class="sectionCellDescription">'+sectionList[index].description+'</div>'+
            '</div>';
            if (index%2==0) {
                htmlText += '<div class="sectionCellBottonLine"></div>';
            }
        var condition = '[id=sectionCell'+index+']';
        $(condition).html(htmlText);
    };
}

function initSectionProductHtmlClick(sectionList) {
    for(var index in sectionList){
        var condition = '[id=sectionCell'+index+']';
        $(condition).on("click", function (e) {
            e.stopPropagation();
            var num = this.getAttribute('id');
            try{
                var i = num.substring(num.length-1,num.length);
                var extraInfo = '';
                if (sectionList[i].extraInfo){
                    extraInfo = ',"ExtraInfo":'+sectionList[i].extraInfo;
                }
                var functionPointParameter = '';
                if (sectionList[i].functionPointParameter){
                    functionPointParameter = ',"functionPointParameter":'+sectionList[i].functionPointParameter;
                }
                var params = "{\"type\":"+sectionList[i].linkType+",\"title\":\""+sectionList[i].name+"\",\"link\":\"" + sectionList[i].link + '"'+extraInfo+',"functionPoint":"' + sectionList[i].functionPoint +'"' + functionPointParameter + '}';
                shell_Req(params);
            }catch(e){
            }
        });
    }
}

/************************************************************************* 推广 ************************************************************************/
function initTypeProduct() {
	// 布局
	initTypeProductHtml(typeProductList);
	// 点击事件
	initTypeProductHtmlClick(typeProductList);
}

function initTypeProductHtml(typeList) {
    for (var index in typeList) {
        var htmlText = 
            '<div id="productTypeLeftPart'+index+'" class="productTypeLeftPart"></div>'+
            '<div id="productTypeRightPart'+index+'" class="productTypeRightPart">'+typeList[index].description+'</div>';
            if (index < typeList.length-1) {
                htmlText += '<div class="productTypeCellBottonLine"></div>';
            }
        var condition = '[id=productTypeCell'+index+']';
        $(condition).html(htmlText);
    };
}

function initTypeProductHtmlClick(typeList) {
    for(var index in typeList){
        var condition = '[id=productTypeCell'+index+']';
        $(condition).on("click", function (e) {
            e.stopPropagation();
            var num = this.getAttribute('id');
            try{
                var i = num.substring(num.length-1,num.length);
                var extraInfo = '';
                if (typeList[i].extraInfo){
                    extraInfo = ',"ExtraInfo":'+typeList[i].extraInfo;
                }
                var functionPointParameter = '';
                if (typeList[i].functionPointParameter){
                    functionPointParameter = ',"functionPointParameter":'+typeList[i].functionPointParameter;
                }
                var params = "{\"type\":"+typeList[i].linkType+",\"title\":\""+typeList[i].name+"\",\"link\":\"" + typeList[i].link + '"'+extraInfo+',"functionPoint":"' + typeList[i].functionPoint +'"' + functionPointParameter + '}';
                shell_Req(params);
            }catch(e){
            }
        });
    }
}

/************************************************************************* ChannelSID get&set ************************************************************************/
function getDefaultChannelSID() {
	// 取得渠道SID
    var channelSID = "";
    if (localStorage) {
        channelSID = localStorage.getItem("channelSID");
	}
    return channelSID;
}

function saveChannelSID(channelSID) {
	// 取得渠道SID
    if (localStorage) {
        var lChannelSID = localStorage.getItem("channelSID");
        if (lChannelSID && (lChannelSID == channelSID)) {
            // 已经存在，不做处理
        } else {
            // 不存在，保存channelSID
            localStorage.setItem("channelSID", channelSID);
            // 刷新界面
            window.location.reload();
        }
    }
}

/************************************************************************* data update ************************************************************************/
function initlocalhtml() {
    //如果本地支持Html5缓存，并且有存储值的话，更新收益率
    if (localStorage && localStorage.getItem("XingPingData")) {
        refreshAJAXData(eval("(" + localStorage.getItem("XingPingData") + ")"));
    }
    //请求服务器获取最新的收益率
    requestJfire();
}

function resolveJFireResponse(messageBody) {
    // console.info(messageBody);
    var dataList = eval('('+messageBody+')').dataList;
    // console.info(dataList);
    refreshAJAXData(dataList);
}

function resolveJFireError(code,message) {

}

function buildParameters() {
    var reqjson = new Array();
    reqjson.push('{"windCodeList":"')
    var index;
    for (index in starProductList) {
        var code = starProductList[index].code;
        reqjson.push(code);
        if (index<starProductList.length-1) {
            reqjson.push(',');
        }
    }
    reqjson.push('"}')
    var parameters = reqjson.join("");
    return buildRequestBody('CMD_GET_STAR_FUND_BENIFIT_INFO',parameters);
}

function refreshAJAXData(result) {
    if (null == result || typeof result == 'undefined') {
        return;
    }
    for (var index in result) {
        if (result[index].indicatorValue == undefined){continue;}
        var shouyi = result[index].indicatorValue;
        if (result[index].indicatorFlag != undefined) {
            shouyi += result[index].indicatorFlag
        }
        // console.info(index+':'+shouyi);
        var indicatorName = result[index].indicatorName;
        var windCode = result[index].windCode;
        var productIndex = getIndexByWindCode(windCode);
        var condition1 = '[id=productRate'+productIndex+']';
        if (shouyi && typeof shouyi == "string") {
            $(condition1).html(shouyi);
        } else {
            $(condition1).html('-.--');
        }
        var condition2 = '[id=subTitle'+productIndex+']';
        if (indicatorName && typeof indicatorName == 'string') {
            $(condition2).html(indicatorName);
        } else {
            $(condition2).html('--');
        }
    }
    localStorage.setItem("XingPingData", JSON.stringify(result));
}

function getIndexByWindCode(windCode) {
    for (var i = 0; i < starProductList.length; i++) {
        if (starProductList[i].code == windCode) {
            return i;
        }
    }
}
