/**
 * Created by hyu.Yale on 2015/11/13.
 */

function isShown() {
    return 'true' == $('#hide_showing').val();
}

/**
 * 构建页面顶部结构
 */
function createTopLay() {
    if (!isTopLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='topInfo' class='fund_attr'>");
        buffer.append(" <ul class='fund-top'>");
        buffer.append("     <li class='fund-top-list'>");
        buffer.append("         <div id='top_list_first_key' class='fund-top-list-t'>--</div>");
        buffer.append("         <div id='top_list_first_value' class='fund-top-list-b'>--</div>");
        buffer.append("     </li>");
        buffer.append("     <li class='fund-top-list'>");
        buffer.append("         <div id='top_list_second_key' class='fund-top-list-t'>--</div>");
        buffer.append("         <div id='top_list_second_value' class='fund-top-list-b'>--</div>");
        buffer.append("     </li>");
        buffer.append("     <li class='fund-top-list'>");
        buffer.append("         <div id='top_list_third_key' class='fund-top-list-t'>--</div>");
        buffer.append("         <div id='top_list_third_value' class='fund-top-list-b'>--</div>");
        buffer.append("     </li>");
        buffer.append(" </ul>");
        buffer.append(" <ul class='fund-top-tag'>");
        buffer.append("     <li id='fund_top_type'>--</li>");
        buffer.append("     <li id='fund_top_risk'>--</li>");
        buffer.append("     <li id='fund_top_limit'>--</li>");
        buffer.append("     <li id='fund_top_save'>--</li>");
        buffer.append(" </ul>");
        buffer.append("</div>");
        $('#hide_top').val(true).after(buffer.toString());
    }
}

function isTopLayExist() {
    return 'true' == $('#hide_top').val();
}


function isBannerLayExist() {
    return 'true' == $('#hide_banner').val();
}

/**
 * 构建Banner
 */
function createBannerLay() {
    if (!isBannerLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='banner_lay' class='banner-lay'>");
        buffer.append("  <p id='banner' onclick='doBannerClick();' class='banner'>--</p>");
        buffer.append("  <img onclick='closeBanner()' class='banner-close' src='./style/images/banner_close.png'/>");
        buffer.append("</div>");
        $('#hide_banner').val(true).after(buffer.toString());
    }
}

function isTrendCanvasExist() {
    return 'true' == $('#hide_trend').val();
}

function createCurrencyTrendCanvas() {
    if (!isTrendCanvasExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id=\"cur_fund_trend\" class=\"fund-trend-lay\">");

        buffer.append("<div id='cur_fund_trend_loading' class='cur-fund-trend-lay-loading'>");
        buffer.append("<img class='w-loading' src='./style/images/icon_loading.png'/>");
        buffer.append("<p>请稍候...</p>");
        buffer.append("</div>");


        buffer.append("<ul id=\"cur_fund_trend_tabs\" class=\"cur-trend-title\">");
        buffer.append("<li tag=\"01\"><a class=\"active\">对比图</a></li>");
        buffer.append("<li tag=\"04\"><a>走势图</a></li>");
        buffer.append("</ul>");
        buffer.append("<div class=\"cur-fund-trend-canvas-center\">");
        buffer.append("<canvas id=\"cur_trend\" width=\"320\" height=\"195px\"></canvas>");
        buffer.append("</div>");
        buffer.append("</div>");

        $('#hide_trend').val(true).after(buffer.toString());
        bindCurrencyTrendTabClick();
    }
}

function createTrendCanvas() {
    if (!isTrendCanvasExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='fund_trend' class='fund-trend-lay'>");

        buffer.append("<div id='fund_trend_loading' class='fund-trend-lay-loading'>");
        buffer.append("<img class='w-loading' src='./style/images/icon_loading.png'/>");
        buffer.append("<p>请稍候...</p>");
        buffer.append("</div>");

        buffer.append("<ul id='fund_trend_tabs' class='trend-title'>");
        buffer.append("   <li tag='01'><a class='active'>近一月</a></li>");
        buffer.append("   <li tag='03'><a>近六月</a></li>");
        buffer.append("   <li tag='04'><a>近一年</a></li>");
        buffer.append("   <li tag='06'><a>成立至今</a></li>");
        buffer.append("</ul>");

        buffer.append("<div class='fund-trend-canvas-center'>");
        buffer.append("  <canvas id='trend' width='320' height='218px'></canvas>");
        buffer.append("</div>");
        buffer.append("</div>");
        $('#hide_trend').val(true).after(buffer.toString());
        $('#hide_trend_tag').val("01");
        bindTrendTabClick();
    }
}

function isStageLayExist() {
    return 'true' == $('#hide_stage').val();
}

function createStageLay() {
    if (!isStageLayExist()) {
        $('#hide_stage').val(true).after("<div id='fund_stage' class='fund-stage'></div>");
    }
}


function isProductDocLayExist() {
    return 'true' == $('#hide_document').val();
}

function createAndShowProductDocLay(dataModel) {
    if (!isProductDocLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='fund_trend' class='fund-trend-lay'>");

        buffer.append("<div id='fund_base' class='fund-base'>");
        buffer.append("<p class='com-title'>产品档案</p>");
        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("基金经理");
        buffer.append("</li>");
        buffer.append("<li id='fundManagerName'>");
        buffer.append(fixString(dataModel.fundManagerName));
        buffer.append("</li>");
        buffer.append("</ul>");

        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("基金公司");
        buffer.append("</li>");
        buffer.append("<li id='corpName'>");
        buffer.append(fixString(dataModel.corpName));
        buffer.append("</li>");
        buffer.append("</ul>");

        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("成立日期");
        buffer.append("</li>");
        buffer.append("<li id='setupDate'>");
        buffer.append(fixString(dataModel.setupDate));
        buffer.append("</li>");
        buffer.append("</ul>");

        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("基金规模");
        buffer.append("</li>");
        buffer.append("<li id='fundScale'>");
        buffer.append(fixString(dataModel.fundScale));
        buffer.append("</li>");
        buffer.append("</ul>");

        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("申购费率");
        buffer.append("</li>");
        buffer.append("<li class='rate-lay'>");

        if (Session.isCurrencyFund(Session.topInfo.fundType)) {
            buffer.append("<span id='realPurchaseFeeRate'>0费率</span>");
        } else {
            //折扣判断
            var discountTxt = "";
            if (isEmpty(dataModel.channelFeeRate)) {
                buffer.append("<span id='purchaseFeeRate'>" + fixStringRate(Session.productArchive.purchaseFeeRate) + "</span>");
            } else {
                if (Session.productArchive.channelFeeRate == 1) {
                    buffer.append("<span id='purchaseFeeRate'>" + fixStringRate(Session.productArchive.purchaseFeeRate) + "</span>");
                } else {
                    if (isNaN(Session.productArchive.channelFeeRate)) {
                        discountTxt = fixString(Session.productArchive.channelFeeRate);
                    } else {
                        discountTxt = (10 * Session.productArchive.channelFeeRate) + "折";
                    }
                    buffer.append("<span id='channelFeeRate' class='discount'>" + discountTxt + "</span>");
                    buffer.append("<span id='purchaseFeeRate' class='rate-before'");
                    buffer.append("style='text-decoration:line-through'>" + fixStringRate(fixNum(Session.productArchive.purchaseFeeRate, 1)) + "</span>");
                    buffer.append("<span id='realPurchaseFeeRate' class='rate-now'>" + fixStringRate(fixNum(Session.productArchive.realPurchaseFeeRate, 1)) + "</span>");
                }
            }
        }

        buffer.append("</li>");
        buffer.append("</ul>");

        if (!Session.isCurrencyFund(Session.topInfo.fundType)) {
            buffer.append("<ul id='redeemFeeRateLay'>");
            buffer.append("<li>");
            buffer.append("赎回费率");
            buffer.append("</li>");
            buffer.append("<li id='redeemFeeRate'>");
            buffer.append(fixStringRate(fixNum(Session.productArchive.redeemFeeRate, 1)));
            buffer.append("</li>");
            buffer.append("</ul>");
            buffer.append("</div>");
            buffer.append("</div>");
        }

        $('#hide_document').val(true).after(buffer.toString());
    }
    myScroll.refresh();
}


function isScaleLayExist() {
    return 'true' == $('#hide_scale').val();
}

function createScaleLay() {
    if (!isScaleLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='canvas_super_parent'>");
        buffer.append("<div class='line-title'>");
        buffer.append("规模变化");
        buffer.append("</div>");
        buffer.append("<div class=\"cur-fund-trend-canvas-center\">");
        buffer.append("<canvas id=\"fund_scale\" width=\"320\" height=\"195px\"></canvas>");
        buffer.append("</div>");
        buffer.append("</div>");
        $('#hide_scale').val(true).after(buffer.toString());
    }
}

function isAssetPieLayExist() {
    return 'true' == $('#hide_assets').val();
}

function createAssetPieLay() {
    if (!isAssetPieLayExist()) {
        if (isAssetNotExist() && isIndustryNotExist() && isBondTypeNotExist() && isCountryNotExist()) {
            //没有数据
        } else {
            var buffer = new StringBuffer();
            buffer.append("<div id='assets_lay_pie'>");
            buffer.append("<div class='line-title'>");
            buffer.append("资产配置");
            buffer.append("</div>");

            var existStatus = [isAssetNotExist(), isIndustryNotExist(), isBondTypeNotExist(), isCountryNotExist()];

            var count = getTabCount(existStatus);
            var style = "style=''";
            switch (count) {
                case 0:
                    style = "style=''";
                    break;
                case 1:
                    style = "style='width:98%;'";
                    break;
                case 2:
                    style = "style='width:48%;'";
                    break;
                case 3:
                    style = "style='width:33%;'";
                    break;
                case 4:
                    style = "style='width:24.5%;'";
                    break;
            }
            buffer.append("<ul id='assets_tabs' class='assets-title'>");

            if (!existStatus[0]) {
                if (isFirstTab(existStatus, 0)) {
                    buffer.append("<li tag='asset'" + style + "><a class='active'>资产</a></li>");
                } else {
                    buffer.append("<li tag='asset'" + style + "><a>资产</a></li>");
                }
            }
            if (!existStatus[1]) {
                if (isFirstTab(existStatus, 1)) {
                    buffer.append("<li tag='industry'" + style + "><a class='active'>行业</a></li>");
                } else {
                    buffer.append("<li tag='industry'" + style + "><a>行业</a></li>");
                }
            }
            if (!existStatus[2]) {
                if (isFirstTab(existStatus, 2)) {
                    buffer.append("<li tag='bondType'" + style + "><a class='active'>券种</a></li>");
                } else {
                    buffer.append("<li tag='bondType'" + style + "><a>券种</a></li>");
                }
            }
            if (!existStatus[3]) {
                if (isFirstTab(existStatus, 3)) {
                    buffer.append("<li tag='country'" + style + "><a class='active'>国家</a></li>");
                } else {
                    buffer.append("<li tag='country'" + style + "><a>国家</a></li>");
                }
            }
            buffer.append("</ul>");

            buffer.append("<div class='assets-canvas-center'>");
            buffer.append("<canvas id='assets' width='310px' height='185px'></canvas>");
            buffer.append("</div>");

            buffer.append("</div>");
            $('#hide_assets').val(true).after(buffer.toString());
            bindAssetTabClick();
        }
    }
}

/**
 * 判断有几个tab选项卡
 * @param existStatus tab是否存在状态数组
 * @returns {number}
 */
function getTabCount(existStatus) {
    var count = 0;
    for (var i = 0; i < existStatus.length; ++i) {
        if (!existStatus[i]) {
            ++count;
        }
    }
    return count;
}

/**
 * 判断指定索引是否是一个
 * @param existStatus tab是否存在状态数组
 * @param index 指定索引
 * @returns {boolean}
 */
function isFirstTab(existStatus, index) {
    for (var i = 0; i < index; ++i) {
        if (!existStatus[i]) {
            return false;
        }
    }
    return true;
}

function findFirstTab(existStatus) {
    for (var i = 0; i < existStatus.length; ++i) {
        if (!existStatus[i]) {
            return i;
        }
    }
    return 0;
}


function isHoldingStockLayExist() {
    return 'true' == $('#hide_holding').val();
}

function createHoldingStockLay() {
    if (!isHoldingStockLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='assets_lay'");
        buffer.append("<div id='assets_lay_name' class='line-title'>");
        buffer.append("重仓持股");
        buffer.append("</div>");
        buffer.append("<div class='assetsbar-canvas-center'>");
        buffer.append("<canvas id='assetBar' width='320px' height='280px'>");
        buffer.append("</canvas>");
        buffer.append("</div>");

        $('#hide_holding').val(true).after(buffer.toString());
    }
}


function isManagerLayExist() {
    return 'true' == $('#hide_manager').val();
}

function createAndShowManager(managerList) {
    if (!isManagerLayExist() && managerList.length > 0) {
        var buffer = new StringBuffer();
        buffer.append("<div id='fund_manager_lay'>");
        buffer.append("<div id='jumpManager' class='line-title enter' onclick='bindManagerTap();'>");
        buffer.append("<span>基金经理</span>");
        buffer.append("<div class='r-detail'></div>");
        buffer.append("</div>");

        $.each(managerList, function (index, el) {
            if (index == 0) {
                buffer.append("<div class='managerLay no-top-margin'>");
                buffer.append("<ul class='fund-manage-sub-line no-top-border clearfix'>");
            } else {
                buffer.append("<div class='managerLay'>");
                buffer.append("<ul class='fund-manage-sub-line clearfix'>");
            }

            buffer.append("<li id='managerName' class='fund_manager_name'><span class='indicate'/><span style='margin-left: 6px'>" + fixString(el.fundManagerName) + "</span></li>");
            buffer.append("<li id='postDate' class='fund_manager_time'>" + fixString(el.postDate) + "-至今</li>");
            if (el.postDays && el.postDays < 183) {
                buffer.append("<li id='isNewManager' class='fund_manager_status'>NEW</li>");
            }
            buffer.append("<li class='fund_manager_year'>经理年限<span class='limit_year'>" + formatManagerYear(fixString(el.managerYears)) + "</span>年</li>");
            buffer.append("</ul>");
            buffer.append("<div class='manager-attr clearfix'>");
            buffer.append("<div class='manager-img-lay'>");
            buffer.append("<img src='" + fixString(el.headPhoto) + "'>");
            buffer.append("</div>");
            buffer.append("<div id='recent_year_lay'>");
            buffer.append("<p id='oneYearReturn' class='recent-year'>近一年</p>");

            var oneYearStatus = checkUpOrDown(el.oneYearReturn);
            if (oneYearStatus == STATUS[0]) {
                buffer.append("<p class='recent-year-rate red-color'>" + fixStringRate(fixNum(el.oneYearReturn, 2)) + "</p>");
            } else if (oneYearStatus == STATUS[2]) {
                buffer.append("<p class='recent-year-rate green-color'>" + fixStringRate(fixNum(el.oneYearReturn, 2)) + "</p>");
            } else {
                buffer.append("<p class='recent-year-rate'>" + fixStringRate(fixNum(el.oneYearReturn, 2)) + "</p>");
            }

            buffer.append("</div>");
            buffer.append("<div id='year_bonus_lay'>");
            buffer.append("<p id='annualReturn' class='year-bonus'>年化回报</p>");

            var annualStatus = checkUpOrDown(el.annualReturn);
            if (annualStatus == STATUS[0]) {
                buffer.append("<p class='year-bonus-rate red-color'>" + fixStringRate(fixNum(el.annualReturn, 2)) + "</p>");
            } else if (annualStatus == STATUS[2]) {
                buffer.append("<p class='year-bonus-rate green-color'>" + fixStringRate(fixNum(el.annualReturn, 2)) + "</p>");
            } else {
                buffer.append("<p class='year-bonus-rate'>" + fixStringRate(fixNum(el.annualReturn, 2)) + "</p>");
            }

            buffer.append("</div>");
            buffer.append("<div id='total_bonus_lay'>");
            buffer.append("<p class='total-bonus'>总回报</p>");


            var totalStatus = checkUpOrDown(el.totalReturn);
            if (totalStatus == STATUS[0]) {
                buffer.append("<p id='totalReturn' class='total-bonus-rate red-color'>" + fixStringRate(fixNum(el.totalReturn, 2)) + "</p>");
            } else if (totalStatus == STATUS[2]) {
                buffer.append("<p id='totalReturn' class='total-bonus-rate green-color'>" + fixStringRate(fixNum(el.totalReturn, 2)) + "</p>");
            } else {
                buffer.append("<p id='totalReturn' class='total-bonus-rate'>" + fixStringRate(fixNum(el.totalReturn, 2)) + "</p>");
            }

            buffer.append("</div>");
            buffer.append("</div>");
            buffer.append("</div>");
        });
        buffer.append("</div>");

        //是否需要显示5行
        var showFolder = true;
        var bodyWidth = document.body.clientWidth;
        var leftWidth = bodyWidth * 0.92;
        var context = document.getElementById("measureCanvas").getContext("2d");
        context.font = "14px Arial";
        var measuredTxtWidth = context.measureText(Session.companyInfo.marketOutlook).width;
        if (leftWidth * 5 > measuredTxtWidth) {
            showFolder = false;
        }

        //原来的简介变为展望
        if (Session.companyInfo && Session.companyInfo.marketOutlook) {
            //buffer.append("<div id='resume' class='manager-attr-sub'>");
            //buffer.append(Session.companyInfo.marketOutlook);
            //buffer.append("</div>");
            buffer.append("<div id='panel' class='hide'>");
            buffer.append("<div class='note content' >");
            buffer.append(Session.companyInfo.marketOutlook);
            buffer.append("</div>");
            if (showFolder) {
                buffer.append("<div class='panel-img'>");
                buffer.append("<img id='panel_img'class='control-icon' src='./style/images/arrow_down_small.png'/>");
                buffer.append("</div>");
            }
            buffer.append("</div>");
        }
        $('#hide_manager').val(true).after(buffer.toString());


        $("#panel").click(function (event) {
            openArea();
            event.preventDefault()
        });
        $("#panel_img").click(function (event) {
            openArea();
            event.preventDefault()
        });
    }
}


function isManagerCompanyLayExist() {
    return 'true' == $('#hide_managerCrop').val();
}


function createManagerCompanyLay() {
    if (!isManagerCompanyLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='fund_company'>");
        buffer.append("<div class='line-title'>");
        buffer.append("基金公司");
        buffer.append("</div>");
        buffer.append("<div id='fund_company_lay'>");
        buffer.append("<div class='fund-company-line bottom_solid'>");
        buffer.append("<span class='left' id='fund_company_name'>");
        buffer.append("嘉实基金管理有限公司");
        buffer.append("</span>");

        buffer.append("<div class='right smallTxt'>旗下基金<span class='company-count'>51</span>只</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("成立日期");
        buffer.append("</span>");

        buffer.append("<div id='CorpSetupDate' class='right'>2011-02-02</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("总经理");
        buffer.append("</span>");

        buffer.append("<div id='CorpManager' class='right'>王小明</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("资产规模");
        buffer.append("</span>");

        buffer.append("<div id='CorpScale' class='right'>1157.1亿</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("规模排名");
        buffer.append("</span>");

        buffer.append("<div id='CorpRanking' class='right'>1/5</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("基金经理人数");
        buffer.append("</span>");

        buffer.append("<div id='FundManagersNo' class='right'>22人</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("基金经理平均年限");
        buffer.append("</span>");

        buffer.append("<div class='right'><span  id='AverageWorkYear'>3.56</span>年</div>");
        buffer.append("</div>");
        buffer.append("</div>");
        buffer.append("</div>");
        $('#hide_managerCrop').val(true).after(buffer.toString());
    }
}


function isBankLayExist() {
    return 'true' == $('#hide_bank').val();
}


function createAndShowBankLay(bankList) {
    if (!isBankLayExist() && bankList.length > 0) {
        var buffer = new StringBuffer();
        buffer.append("<div id='support_bank'>");
        buffer.append("        <div class='line-title'>");
        buffer.append("        支持银行及限额");
        buffer.append("        </div>");
        buffer.append("        <div id='support_bank_lay'>");

        $.each(bankList, function (index, el) {
            buffer.append("    <div class='support-bank-item'>");
            buffer.append("        <img src='" + el.iconUrl + "'>");
            buffer.append("        <span class='bank-name'>" + el.bankname + "</span>");
            buffer.append("        <span class='bank-sub'>" + el.limitamountDescription + "</span>");
            buffer.append("    </div>");
            buffer.append("<div class='separate-line'></div>");
        });

        buffer.append("    </div>");
        buffer.append("    </div>");
        $('#hide_bank').val(true).after(buffer.toString());
    }
}


function bindManagerTap() {
    //var params = "{\"type\":5,\"title\":\"xiaoming\",\"link\":\"http://www.baidu.com\"}";
    //alert(params);
    //shell_Req(params);

    submitFunction("922400050026");
    try {
        var url = window.location.href;
        var index = url.lastIndexOf("/");
        url = url.substr(0, index) + "/manager.html";
        var params = {
            type: 5,
            title: "基金经理",
            link: url,
            triggerJsName: "loadPage",
            triggerJsParams: window.windCode
        };
        shell_Req(JSON.stringify(params));
    } catch (e) {
    }
    //$("#jumpManager").click(function(){
    //
    //});

    //$("#jumpManager").on("click", function (e) {
    //    e.stopPropagation();
    //    try {
    //        var url = window.location.href;
    //        var index = url.lastIndexOf("/");
    //        url = url.substr(0, index) + "/manager.html";
    //        var params = {
    //            type: 5,
    //            title: "基金经理",
    //            link: url,
    //            triggerJsName: "loadPage",
    //            triggerJsParams: window.windCode
    //        };
    //        shell_Req(JSON.stringify(params));
    //        submitFunction("922400050026");
    //    } catch (e) {
    //    }
    //    //var params = "{\"type\":5,\"title\":\"xiaoming\",\"link\":\"http://www.baidu.com\"}";
    //    //shell_Req(params);
    //});
}







