/**
 * Created by hyu.Yale on 2015/11/10.
 */
var DB_CONFIG = {
    dbName: "wind_fund",
    tableName: "fundInfo",
    dbVersion: 1
}

/**
 * 缓存服务器请求数据
 * @param windCode
 * @param cmdCode
 * @param data
 */
function cacheStore(windCode, cmdCode, type, data) {
    //if (isSupportIndexedDB()) {
    //    $.indexedDB(DB_CONFIG.dbName).objectStore(DB_CONFIG.tableName).add({
    //        windCode: windCode + cmdCode+ (undefined == type ? "" : type),
    //        cmdCode: cmdCode ,
    //        data: data
    //    }).done(function () {
    //        console.log("Insert done")
    //    });
    //} else {
        var temp = {
            windCode: windCode + cmdCode + (undefined == type ? "" : type),
            cmdCode: cmdCode,
            data: data
        };
        localStorage.setItem(windCode + cmdCode + (undefined == type ? "" : type), JSON.stringify(temp));
    //}

    //趋势图的数据可以缓存一下时间，多长时间内不再次请求
    if (cmdCode == CMD_CODE[2]) {
        //缓存一下时间
        localStorage.setItem(windCode + cmdCode + (undefined == type ? "" : type) + "time", new Date().getTime());
    }
}

function QueryHelper(windCode, cmdCode, callback) {
    //if (isSupportIndexedDB()) {
    //    $.indexedDB(DB_CONFIG.dbName).objectStore(DB_CONFIG.tableName).get(windCode + cmdCode).done(function (item) {
    //        callback(item);
    //    });
    //} else {
        var tempStr = localStorage.getItem(windCode + cmdCode);
        var item = JSON.parse(tempStr);
        callback(item);
    //}
}

function onDBOpenSuccess(db, windCode, cmdCode, callBack) {
    try {
        var transaction = db.transaction(DB_CONFIG.tableName);
        transaction.oncomplete = function (event) {

        };
        var store = transaction.objectStore(DB_CONFIG.tableName);
        //使用索引查询需要的数据值，相当于指定windCode=window.windCode + cmdCode
        var keyRange = IDBKeyRange.only(windCode + cmdCode);
        var req = store.index("windCode").openCursor(keyRange, "next");
        req.oncomplete = function (event) {
        };
        req.onsuccess = function (event) {
            var cursor = event.target.result;
            //if (!cursor) {
            //    return;
            //}

            if ("success" == cursor.value.data.message) {
                callBack(cmdCode, cursor.value);
            }
        };
        req.onerror = function (event) {
        };
    } catch (e) {

    }

}
