/**
 * Created by hyu.Yale on 2015/11/13.
 */

function isShown() {
    return 'true' == $('#hide_showing').val();
}

/**
 * 构建页面顶部结构
 */
function createTopLay() {
    if (!isTopLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='topInfo' class='fund_attr'>");
        buffer.append(" <ul class='fund-top'>");
        buffer.append("     <li class='fund-top-list'>");
        buffer.append("         <div id='top_list_first_key' class='fund-top-list-t'>--</div>");
        buffer.append("         <div id='top_list_first_value' class='fund-top-list-b'>--</div>");
        buffer.append("     </li>");
        buffer.append("     <li class='fund-top-list'>");
        buffer.append("         <div id='top_list_second_key' class='fund-top-list-t'>--</div>");
        buffer.append("         <div id='top_list_second_value' class='fund-top-list-b'>--</div>");
        buffer.append("     </li>");
        buffer.append("     <li class='fund-top-list'>");
        buffer.append("         <div id='top_list_third_key' class='fund-top-list-t'>--</div>");
        buffer.append("         <div id='top_list_third_value' class='fund-top-list-b'>--</div>");
        buffer.append("     </li>");
        buffer.append(" </ul>");
        buffer.append(" <ul class='fund-top-tag'>");
        buffer.append("     <li id='fund_top_type'>--</li>");
        buffer.append("     <li id='fund_top_risk'>--</li>");
        buffer.append("     <li id='fund_top_limit'>--</li>");
        buffer.append("     <li id='fund_top_save'>--</li>");
        buffer.append(" </ul>");
        buffer.append("</div>");
        $('#hide_top').val(true).after(buffer.toString());
    }
}

function isTopLayExist() {
    return 'true' == $('#hide_top').val();
}


function isBannerLayExist() {
    return 'true' == $('#hide_banner').val();
}

/**
 * 构建Banner
 */
function createBannerLay() {
    if (!isBannerLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='banner_lay' class='banner-lay'>");
        buffer.append("  <p id='banner' onclick='goodjump();' class='banner'>--</p>");
        buffer.append("</div>");
        $('#hide_banner').val(true).after(buffer.toString());
    }
}

function isTrendCanvasExist() {
    return 'true' == $('#hide_trend').val();
}

function createCurrencyTrendCanvas() {
    if (!isTrendCanvasExist()) {
        var lay = "  <div id=\"cur_fund_trend\" class=\"fund-trend-lay\">\n" +
            "                    <ul id=\"cur_fund_trend_tabs\" class=\"cur-trend-title\">\n" +
            "                        <li tag=\"01\"><a class=\"active\">对比图</a></li>\n" +
            "                        <li tag=\"04\"><a>走势图</a></li>\n" +
            "                    </ul>\n" +
            "                    <div class=\"cur-fund-trend-canvas-center\">\n" +
            "                        <canvas id=\"cur_trend\" width=\"320\" height=\"195px\"></canvas>\n" +
            "                    </div>\n" +
            "                </div>";


        $('#hide_trend').val(true).after(lay);
        bindCurrencyTrendTabClick();
    }
}

function createTrendCanvas() {
    if (!isTrendCanvasExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='fund_trend' class='fund-trend-lay'>");
        buffer.append("<ul id='fund_trend_tabs' class='trend-title'>");
        buffer.append("   <li tag='01'><a class='active'>近一月</a></li>");
        buffer.append("   <li tag='02'><a>近三月</a></li>");
        buffer.append("   <li tag='03'><a>近六月</a></li>");
        buffer.append("   <li tag='06'><a>成立至今</a></li>");
        buffer.append("</ul>");

        buffer.append("<div class='fund-trend-canvas-center'>");
        buffer.append("  <canvas id='trend' width='320' height='215px'></canvas>");
        buffer.append("</div>");
        buffer.append("</div>");
        $('#hide_trend').val(true).after(buffer.toString());
        $('#hide_trend_tag').val("01");
        bindTrendTabClick();
    }
}

function isStageLayExist() {
    return 'true' == $('#hide_stage').val();
}

function createStageLay() {
    if (!isStageLayExist()) {
        $('#hide_stage').val(true).after("<div id='fund_stage' class='fund-stage'></div>");
    }
}


function isProductDocLayExist() {
    return 'true' == $('#hide_document').val();
}

function createProductDocLay() {
    if (!isProductDocLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='fund_trend' class='fund-trend-lay'>");

        buffer.append("<div id='fund_base' class='fund-base'>");
        buffer.append("<p class='com-title'>产品档案</p>");
        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("基金经理");
        buffer.append("</li>");
        buffer.append("<li id='fundManagerName'>");
        buffer.append(" 徐翔");
        buffer.append("</li>");
        buffer.append("</ul>");

        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("基金公司");
        buffer.append("</li>");
        buffer.append("<li id='corpName'>");
        buffer.append("嘉实基金");
        buffer.append("</li>");
        buffer.append("</ul>");

        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("成立日期");
        buffer.append("</li>");
        buffer.append("<li id='setupDate'>");
        buffer.append("2012-01-28");
        buffer.append("</li>");
        buffer.append("</ul>");

        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("基金规模");
        buffer.append("</li>");
        buffer.append("<li id='fundScale'>");
        buffer.append("3.66亿元");
        buffer.append("</li>");
        buffer.append("</ul>");

        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("申购费率");
        buffer.append("</li>");
        buffer.append("<li class='rate-lay'>");
        buffer.append("<span id='channelFeeRate' class='discount'>4折扣</span>");
        buffer.append("<span id='purchaseFeeRate' class='rate-before'");
        buffer.append("style='text-decoration:line-through'>1.5%</span>");
        buffer.append("<span id='realPurchaseFeeRate' class='rate-now'>0.3%</span>");
        buffer.append("</li>");
        buffer.append("</ul>");

        buffer.append("<ul>");
        buffer.append("<li>");
        buffer.append("赎回费率");
        buffer.append("</li>");
        buffer.append("<li id='redeemFeeRate'>");
        buffer.append("1.5%");
        buffer.append("</li>");
        buffer.append("</ul>");
        buffer.append("</div>");
        buffer.append("</div>");
        $('#hide_document').val(true).after(buffer.toString());
    }
    myScroll.refresh();
}


function isScaleLayExist() {
    return 'true' == $('#hide_scale').val();
}

function createScaleLay() {
    if (!isScaleLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='canvas_super_parent'>");
        buffer.append("<div class='line-title'>");
        buffer.append("规模变化");
        buffer.append("</div>");
        buffer.append("<div class=\"cur-fund-trend-canvas-center\">");
        buffer.append("<canvas id=\"fund_scale\" width=\"320\" height=\"195px\"></canvas>");
        buffer.append("</div>");
        buffer.append("</div>");
        $('#hide_scale').val(true).after(buffer.toString());
    }
}

function isAssetPieLayExist() {
    return 'true' == $('#hide_assets').val();
}

function createAssetPieLay() {
    if (!isAssetPieLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='assets_lay_pie'>");
        buffer.append("<div class='line-title'>");
        buffer.append("资产配置");
        buffer.append("</div>");

        buffer.append("<ul id='assets_tabs' class='assets-title'>");
        buffer.append("<li tag='asset'><a class='active'>资产</a></li>");
        buffer.append("<li tag='industry'><a>行业</a></li>");
        buffer.append("<li tag='bondType'><a>券种</a></li>");
        buffer.append("<li tag='country'><a>国家</a></li>");
        buffer.append("</ul>");

        buffer.append("<div class='assets-canvas-center'>");
        buffer.append("<canvas id='assets' width='290px' height='195px'></canvas>");
        buffer.append("</div>");

        buffer.append("<div id='assets_rate' class='clearfix'>");
        buffer.append("</div>");
        buffer.append("</div>");
        $('#hide_assets').val(true).after(buffer.toString());
        bindAssetTabClick();
    }
}


function isHoldingStockLayExist() {
    return 'true' == $('#hide_holding').val();
}

function createHoldingStockLay() {
    if (!isHoldingStockLayExist()) {
        var buffer = new StringBuffer();

        buffer.append("<div id='assets_lay'");
        buffer.append("<div class='line-title'>");
        buffer.append("重仓持股");
        buffer.append("</div>");
        buffer.append("<div class='assetsbar-canvas-center'>");
        buffer.append("<canvas id='assetBar' width='320px' height='280px'>");
        buffer.append("</canvas>");
        buffer.append("</div>");

        $('#hide_holding').val(true).after(buffer.toString());
    }
}


function isManagerLayExist() {
    return 'true' == $('#hide_manager').val();
}

function createAndShowManager(managerList) {
    if (!isManagerLayExist() && managerList.length > 0) {
        var buffer = new StringBuffer();
        buffer.append("<div id='fund_manager_lay'>");
        buffer.append("<div class='line-title enter' onclick='bindManagerTap()'>");
        buffer.append("<span>基金经理</span>");
        buffer.append("<div class='r-detail'></div>");
        buffer.append("</div>");

        $.each(managerList, function (index, el) {
            if (index == 0) {
                buffer.append("<div class='managerLay no-top-margin'>");
                buffer.append("<ul class='fund-manage-sub-line no-top-border clearfix'>");
            } else {
                buffer.append("<div class='managerLay'>");
                buffer.append("<ul class='fund-manage-sub-line clearfix'>");
            }

            buffer.append("<li id='managerName' class='fund_manager_name'>" + fixString(el.fundManagerName) + "</li>");
            buffer.append("<li id='postDate' class='fund_manager_time'>" + fixString(el.postDate) + "-至今</li>");
            //if (el.postDays && el.postDays < 183) {
            buffer.append("<li id='isNewManager' class='fund_manager_status'>NEW</li>");
            //}
            buffer.append("<li class='fund_manager_year'>经理年限<span class='limit_year'>" + fixNum(fixString(el.managerYears), 2) + "</span>年</li>");
            buffer.append("</ul>");
            buffer.append("<div class='manager-attr clearfix'>");
            buffer.append("<div class='manager-img-lay'>");
            buffer.append("<img src='" + fixString(el.headPhoto) + "'>");
            buffer.append("</div>");
            buffer.append("<div id='recent_year_lay'>");
            buffer.append("<p id='oneYearReturn' class='recent-year'>近一年</p>");

            var oneYearStatus = checkUpOrDown(el.oneYearReturn);
            if (oneYearStatus == STATUS[0]) {
                buffer.append("<p class='recent-year-rate red-color'>" + fixStringRate(fixNum(el.oneYearReturn, 2)) + "</p>");
            } else if (oneYearStatus == STATUS[2]) {
                buffer.append("<p class='recent-year-rate green-color'>" + fixStringRate(fixNum(el.oneYearReturn, 2)) + "</p>");
            } else {
                buffer.append("<p class='recent-year-rate'>" + fixStringRate(fixNum(el.oneYearReturn, 2)) + "</p>");
            }

            buffer.append("</div>");
            buffer.append("<div id='year_bonus_lay'>");
            buffer.append("<p id='annualReturn' class='year-bonus'>年化回报</p>");

            var annualStatus = checkUpOrDown(el.annualReturn);
            if (annualStatus == STATUS[0]) {
                buffer.append("<p class='year-bonus-rate red-color'>" + fixStringRate(fixNum(el.annualReturn, 2)) + "</p>");
            } else if (annualStatus == STATUS[2]) {
                buffer.append("<p class='year-bonus-rate green-color'>" + fixStringRate(fixNum(el.annualReturn, 2)) + "</p>");
            } else {
                buffer.append("<p class='year-bonus-rate'>" + fixStringRate(fixNum(el.annualReturn, 2)) + "</p>");
            }

            buffer.append("</div>");
            buffer.append("<div id='total_bonus_lay'>");
            buffer.append("<p class='total-bonus'>总回报</p>");


            var totalStatus = checkUpOrDown(el.totalReturn);
            if (totalStatus == STATUS[0]) {
                buffer.append("<p id='totalReturn' class='total-bonus-rate red-color'>" + fixStringRate(fixNum(el.totalReturn, 2)) + "</p>");
            } else if (totalStatus == STATUS[2]) {
                buffer.append("<p id='totalReturn' class='total-bonus-rate green-color'>" + fixStringRate(fixNum(el.totalReturn, 2)) + "</p>");
            } else {
                buffer.append("<p id='totalReturn' class='total-bonus-rate'>" + fixStringRate(fixNum(el.totalReturn, 2)) + "</p>");
            }

            buffer.append("</div>");
            buffer.append("</div>");
            buffer.append("</div>");
        });
        buffer.append("</div>");

        //原来的简介变为展望
        if (Session.companyInfo && Session.companyInfo.marketOutlook) {
            buffer.append("<div id='resume' class='manager-attr-sub'>");
            buffer.append(Session.companyInfo.marketOutlook);
            buffer.append("</div>");
        }
        $('#hide_manager').val(true).after(buffer.toString());
    }
}


function isManagerCompanyLayExist() {
    return 'true' == $('#hide_managerCrop').val();
}


function createManagerCompanyLay() {
    if (!isManagerCompanyLayExist()) {
        var buffer = new StringBuffer();
        buffer.append("<div id='fund_company'>");
        buffer.append("<div class='line-title'>");
        buffer.append("基金公司");
        buffer.append("</div>");
        buffer.append("<div id='fund_company_lay'>");
        buffer.append("<div class='fund-company-line bottom_solid'>");
        buffer.append("<span class='left' id='fund_company_name'>");
        buffer.append("嘉实基金管理有限公司");
        buffer.append("</span>");

        buffer.append("<div class='right smallTxt'>旗下基金<span class='company-count'>51</span>支</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("成立日期");
        buffer.append("</span>");

        buffer.append("<div id='CorpSetupDate' class='right'>2011-02-02</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("注册资本");
        buffer.append("</span>");

        buffer.append("<div id='RegisteredCapital' class='right'>100000万</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("总规模");
        buffer.append("</span>");

        buffer.append("<div id='CorpScale' class='right'>1157.1亿</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("总经理");
        buffer.append("</span>");

        buffer.append("<div id='CorpManager' class='right'>王小明</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("基金经理人数");
        buffer.append("</span>");

        buffer.append("<div id='FundManagersNo' class='right'>22人</div>");
        buffer.append("</div>");

        buffer.append("<div class='fund-company-line'>");
        buffer.append("<span class='left'>");
        buffer.append("基金经理平均年限");
        buffer.append("</span>");

        buffer.append("<div class='right'><span  id='AverageWorkYear'>3.56</span>年</div>");
        buffer.append("</div>");
        buffer.append("</div>");
        buffer.append("</div>");
        $('#hide_managerCrop').val(true).after(buffer.toString());
    }
}


function isBankLayExist() {
    return 'true' == $('#hide_bank').val();
}


function createAndShowBankLay(bankList) {
    if (!isBankLayExist() && bankList.length > 0) {
        var buffer = new StringBuffer();
        buffer.append("<div id='support_bank'>");
        buffer.append("        <div class='line-title'>");
        buffer.append("        支持银行及限额");
        buffer.append("        </div>");
        buffer.append("        <div id='support_bank_lay'>");

        $.each(bankList, function (index, el) {
            buffer.append("    <div class='support-bank-item'>");
            buffer.append("        <img src='" + el.iconUrl + "'>");
            buffer.append("        <span class='bank-name'>" + el.bankname + "</span>");
            buffer.append("        <span class='bank-sub'>" + el.limitamountDescription + "</span>");
            buffer.append("    </div>");
        });

        buffer.append("    </div>");
        buffer.append("    </div>");
        $('#hide_bank').val(true).after(buffer.toString());
    }
}


function bindManagerTap() {
    //window.location.href = "./manager.html";
    var url = window.location.href;
    var index = url.lastIndexOf("/");
    url = url.substr(0, index) + "/manager.html";
    var params = {
        type: 5,
        title: Session.topInfo.windName,
        link: url,
        triggerJsName: "loadPage",
        triggerJsParams: window.windCode
    };
    shell_Req(JSON.stringify(params))
}







