/**
 * Created by hyu.Yale on 2015/11/11.
 */

function loadPage(windCode) {
    if (window.windCode == undefined || window.windCode != windCode) {
        window.windCode = windCode;
    }
    loading();
    sendAjaxRequest(CMD_CODE[3]);
}
function loading() {
    $("#loading_lay").show();
}
function loadingFinish() {
    $("#loading_lay").fadeOut(500);
}

function loadError(reqStatus) {
    if (!isShown()) {
        $("#loading_lay").fadeOut();
        $("#loadStatus_lay").fadeIn();
    }
}
function isShown() {
    return 'true' == $('#hide_showing').val();
}
//$(document).ready(function () {
//if (!window.windCode) {
//    window.windCode = GetQueryString("windCode");
//}
//
//reqManagerAttr();
//window.windCode = "000001.OF";
//sendAjaxRequest(CMD_CODE[3]);

//获取第二页数据详细信息，即基金经理所在的页
//QueryHelper(window.windCode, CMD_CODE[1], function (value) {
//    var parsedObj = parserObject(value.data.messageBody);
//    prepareContent(parsedObj.managerId);
//});
//});

function singleManagerAppend(managerInfo) {
    var buffer = new StringBuffer();
    buffer.append("<div class=\"single-manager\">");
    buffer.append("    <div id=\"fund_manager_lay\" class=\"fund-manager-lay\">");
    buffer.append("         <ul class=\"fund-manage-sub-line clearfix\">");
    buffer.append("             <li id=\"managerName\" class=\"fund_manager_name\">" + fixString(managerInfo.fundManagerName) + "</li>");
    buffer.append("             <li id=\"PositionDate\" class=\"fund_manager_time\">" + fixString(managerInfo.postDate) + "-至今</li>");
    if (managerInfo.postDays < 183) {
        buffer.append("             <li class=\"fund_manager_status\">NEW</li>");
    }
    buffer.append("             <li class=\"fund_manager_year\">经理年限<span class=\"limit_year\">" + fixString(fixNum(managerInfo.managerYears, 2)) + "</span>年</li>");
    buffer.append("        </ul>");
    buffer.append("        <div class=\"manager-attr clearfix\">");
    buffer.append("            <div class=\"manager-img-lay\">");
    buffer.append("                <img src='" + fixString(managerInfo.headPhoto) + "'>");
    buffer.append("            </div>");
    buffer.append("            <div id=\"recent_year_lay\">");
    buffer.append("                <p class=\"recent-year\">近一年</p>");

    var oneYearStatus = checkUpOrDown(managerInfo.oneYearReturn);
    if (oneYearStatus == STATUS[0]) {
        buffer.append("                <p class=\"recent-year-rate red-color\">" + fixStringRate(managerInfo.oneYearReturn) + "</p>");
    } else if (oneYearStatus == STATUS[2]) {
        buffer.append("                <p class=\"recent-year-rate green-color\">" + fixStringRate(managerInfo.oneYearReturn) + "</p>");
    } else {
        buffer.append("                <p class=\"recent-year-rate\">" + fixStringRate(managerInfo.oneYearReturn) + "</p>");
    }

    buffer.append("            </div>");
    buffer.append("            <div id=\"year_bonus_lay\">");
    buffer.append("                 <p class=\"year-bonus\">年化回报</p>");

    //年化回报
    var annualStatus = checkUpOrDown(managerInfo.annualReturn);
    if (annualStatus == STATUS[0]) {
        buffer.append("                 <p class=\"year-bonus-rate red-color\">" + fixStringRate(fixNum(managerInfo.annualReturn, 2)) + "</p>");
    } else if (annualStatus == STATUS[2]) {
        buffer.append("                 <p class=\"year-bonus-rate green-color\">" + fixStringRate(fixNum(managerInfo.annualReturn, 2)) + "</p>");
    } else {
        buffer.append("                 <p class=\"year-bonus-rate\">" + fixStringRate(fixNum(managerInfo.annualReturn, 2)) + "</p>");
    }

    buffer.append("             </div>");
    buffer.append("             <div id=\"total_bonus_lay\">");
    buffer.append("                 <p class=\"total-bonus\">总回报</p>");
    //总回报
    var totalStatus = checkUpOrDown(managerInfo.totalReturn)
    if (totalStatus == STATUS[0]) {
        buffer.append("                 <p class=\"total-bonus-rate red-color\">" + fixStringRate(fixNum(managerInfo.totalReturn, 2)) + "</p>");
    } else if (totalStatus == STATUS[2]) {
        buffer.append("                 <p class=\"total-bonus-rate green-color\">" + fixStringRate(fixNum(managerInfo.totalReturn, 2)) + "</p>");
    } else {
        buffer.append("                 <p class=\"total-bonus-rate\">" + fixStringRate(fixNum(managerInfo.totalReturn, 2)) + "</p>");
    }
    buffer.append("             </div>");
    buffer.append("         </div>");
    buffer.append("         <div id=\"Resume\" class=\"manager-attr-sub\">" + fixString(managerInfo.resume) + "</div>");
    buffer.append("     </div>");

    if (managerInfo.managerFundInfo) {
        buffer.append("    <div class=\"fund-list-lay\">");
        buffer.append("        <p class=\"fund-list-lay-title\">历任基金</p>");
        buffer.append("        <div class=\"fund-list-hide\">");

        $.each(managerInfo.managerFundInfo, function (index, item) {
            buffer.append("           <div class=\"fund-name-lay\">");
            buffer.append("                <span class=\"fund-name\">" + fixString(item.windName) + "</span>");
            buffer.append("                <span class=\"fund-code\">" + fixString(item.windCode) + "</span>");
            buffer.append("            </div>");
            buffer.append("            <div class=\"fund-list\">");
            buffer.append("                <ul class=\"f-cell-right-ul clearfix\">");
            buffer.append("                    <li>" + fixString(item.postDate) + "</li>");
            buffer.append("                    <li>任职回报</li>");

            var postStatus = checkUpOrDown(item.postReturn);
            if (postStatus == STATUS[0]) {
                buffer.append("                    <li class='red-color'>" + fixStringRate(fixNum(item.postReturn, 2)) + "</li>");
            } else if (postStatus == STATUS[2]) {
                buffer.append("                    <li class='green-color'>" + fixStringRate(fixNum(item.postReturn, 2)) + "</li>");
            } else {
                buffer.append("                    <li>" + fixStringRate(fixNum(item.postReturn, 2)) + "</li>");
            }

            buffer.append("               </ul>");
            buffer.append("                <ul class=\"f-cell-right-ul hight-height clearfix\">");
            buffer.append("                    <li class=\"center-bg\"></li>");
            buffer.append("                    <li>年化回报</li>");

            var annualStatus = checkUpOrDown(item.annualReturn);
            if (annualStatus == STATUS[0]) {
                buffer.append("                    <li class='red-color'>" + fixStringRate(fixNum(item.annualReturn, 2)) + "</li>");
            } else if (annualStatus == STATUS[2]) {
                buffer.append("                    <li class='green-color'>" + fixStringRate(fixNum(item.annualReturn, 2)) + "</li>");
            } else {
                buffer.append("                    <li>" + fixStringRate(fixNum(item.annualReturn, 2)) + "</li>");
            }

            buffer.append("                </ul>");
            buffer.append("                <ul class=\"f-cell-right-ul clearfix\">");
            buffer.append("                    <li>" + fixString(item.dimissionDate) + "</li>");
            buffer.append("                    <li>排名</li>");
            buffer.append("                    <li>" + fixString(item.ranking) + "</li>");
            buffer.append("                </ul>");
            buffer.append("            </div>");
        })
        buffer.append("     </div>");
        buffer.append("    </div>");
    }
    buffer.append("</div>");
    return buffer.toString();
}

function loadManagerList(managerInfoList) {
    loadingFinish();
    Session.managerList = managerInfoList.dataList;
    var buffer = new StringBuffer();
    $.each(managerInfoList.dataList, function (index, el) {
        buffer.append(singleManagerAppend(el));
    });
    $("#managerLay").html(buffer.toString());
    $('#hide_showing').val(true);
}




